#!/bin/bash

if [ ! -d classes/org ] ; then
  echo "Compiled version of Java code missing: classes/org does not exist"
  exit 1;
else
  echo "Assuming that Java code is freshly compiled ..."
fi

if [ ! -d libexpand ] ; then
  mkdir libexpand
  cd lib
  jar xvf activation.jar com javax 
  jar xvf apache.jar com org
  jar xvf jp.jar jp 
  jar xvf mail.jar com javax
  jar xvf qfslib.jar de

  /bin/mv com de javax jp org ../libexpand/.
  cd ..
fi

if [ ! -d orgmerge ] ; then
  mkdir orgmerge
else
  /bin/rm -rf orgmerge/org
fi

# Can't have two different org directories in jared-up  sequence
# => merge them on the file system

/bin/mv classes/org orgmerge/.
/bin/cp -r libexpand/org orgmerge/.

jar cvf GLI.jar .java.policy metadata.zip collect.zip \
    plugins.dat classifiers.dat help \
    -C classes . \
    -C libexpand com -C libexpand de -C libexpand javax -C libexpand jp \
    -C orgmerge org

